jif.types

## Class FixedSignature

- java.lang.Object
- - jif.types.FixedSignature

- All Implemented Interfaces:
    DefaultSignature

      public class FixedSignature
      extends java.lang.Object
      implements DefaultSignature

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedSignature(JifTypeSystem ts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Label` | `defaultArgBound(polyglot.ast.Formal f)`
    `Label` | `defaultArrayBaseLabel(polyglot.types.Type baseType)`
    `Label` | `defaultFieldLabel(polyglot.ast.FieldDecl fd)`
    `Label` | `defaultPCBound(polyglot.util.Position pos, java.lang.String methodName)`
    `Label` | `defaultReturnLabel(polyglot.ast.ProcedureDecl pd)`
    `Label` | `defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedSignature

          public FixedSignature(JifTypeSystem ts)

  - ### Method Detail

    - #### defaultPCBound

          public Label defaultPCBound(polyglot.util.Position pos,
                                      java.lang.String methodName)

      Specified by:
        `defaultPCBound` in interface `DefaultSignature`

    - #### defaultArgBound

          public Label defaultArgBound(polyglot.ast.Formal f)

      Specified by:
        `defaultArgBound` in interface `DefaultSignature`

    - #### defaultReturnLabel

          public Label defaultReturnLabel(polyglot.ast.ProcedureDecl pd)

      Specified by:
        `defaultReturnLabel` in interface `DefaultSignature`

    - #### defaultReturnValueLabel

          public Label defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)

      Specified by:
        `defaultReturnValueLabel` in interface `DefaultSignature`

    - #### defaultFieldLabel

          public Label defaultFieldLabel(polyglot.ast.FieldDecl fd)

      Specified by:
        `defaultFieldLabel` in interface `DefaultSignature`

    - #### defaultArrayBaseLabel

          public Label defaultArrayBaseLabel(polyglot.types.Type baseType)

      Specified by:
        `defaultArrayBaseLabel` in interface `DefaultSignature`